# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# eole_zephir.py
#  
# définition des plugins twisted pour l'application Zephir
#       
###########################################################################

from twisted.scripts.mktap import _tapHelper

zephirWeb = _tapHelper(
    "Twisted Zephir Front-End",
    "zephir.web.zprtap",
    ("Application web de gestion de parc zephir."),
    "zephir_web")

zephirBack = _tapHelper(
    "Twisted Zephir Back-End",
    "zephir.backend.backend_tap",
    ("Application back-end de Zephir."),
    "backend")

zephirMon = _tapHelper(
    "Zephir agent manager",
    "zephir.monitor.agentmanager.zephir_tap",
    ("Service to load and run zephir agents."),
    "zephiragents")

