# -*- coding: UTF-8 -*-
import os
from OpenSSL import SSL
from zephir.config import ROOT_DIR

#################################################
## Factory permettant de créer un contexte SSL ##
#################################################
class ServerContextFactory:

    def getContext(self):
        """Create an SSL context.
        This is a sample implementation that loads a certificate from a file 
        called 'server.pem'."""
        ctx = SSL.Context(SSL.SSLv23_METHOD)
        ctx.use_certificate_file(os.path.abspath(ROOT_DIR)+os.sep+'certs'+os.sep+'server.pem')
        ctx.use_privatekey_file(os.path.abspath(ROOT_DIR)+os.sep+'certs'+os.sep+'server.pem')
        return ctx
