#!/usr/bin/env python
# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# del_user.py
#  
# Utilitaire de suppression d'utilisateurs LDAP pour zephir
#       
###########################################################################

import getpass,sys
try:
    from conf_ldap import pass_ldap
except:
    pass_ldap=None
from zephir.utils.ldap_user import del_user


if __name__ == '__main__':
    # on demande le mot de passe de l'administrateur ldap
    if pass_ldap is None:
        pass_ldap = getpass.getpass("\nmot de passe de l'administrateur LDAP ? ")
    # on demande le nom et mot de passe du nouvel utilisateur
    login = raw_input("nom de connexion de l'utilisateur à supprimer : ")
    # mot de passe du nouvel utilisateur
    if login != "":
        # création de l'utilisateur
        if del_user(login,pass_ldap) == 1:
            sys.exit("\n utilisateur supprimé \n")
        else:
            sys.exit(1)
    else:
        sys.exit("\n aucun utilisateur supprimé\n")
